package cn.spatiotemporal.web.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.Version;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 乐观锁实体类的基类，实现基于乐观锁的并发控制
 * @author marquis
 *
 * @param <ID>
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ToString(callSuper=true)
public class OptimisticLockerEntity extends BaseEntity {

	private static final long serialVersionUID = 5699123159318695750L;

	/**
	 * 版本（用于乐观锁并发控制策略）
	 */
	@TableField("version")
	@Version
    private Integer version;
}
